Replies: 8 (Who?), Viewed: 299 times.
Test Subject
Original Poster
#1 Old 23rd Nov 2020 at 3:59 AM Last edited by marebear27 : 26th Nov 2020 at 2:59 AM.

This user has the following games installed:

Sims 2, University, Nightlife, Open for Business, Pets, Seasons, Bon Voyage
Default Super Collection Package Installer Error
Hi everyone,

I'm running Aspyr's Super Collection on MacOS Catalina (v. 10.15.7). When I use the corresponding Package Installer, I receive the same error message every time I try to use it: "There was an error during installation. The files you are trying to install may have been corrupted." I receive this message with any .sims2pack file, including from reputable files that I know aren't corrupted (e.g., plasticbox lots). I also receive this message when I try to export a file from in game, indicating that it's an issue with the program and not the files. I've submitted a help ticket to Aspyr almost a month ago, but no response.

Other solutions I have found so far have been dead ends: MacUnpac and WooHoo Installer won't open (they appear not to be compatible with the my OS?) and I don't have access to a PC to unlock and transfer files using CleanInstaller. I would prefer not to partition the hard drive or use an emulator. I also haven't seen much regarding this particular error message, so I'm hoping folks may have other ideas to try to resolve, rather than work around, this error.

Thanks in advance to anyone with a suggestion!
Advertisement
Top Secret Researcher
#2 Old 25th Nov 2020 at 2:28 PM
Quote:
Originally Posted by marebear27
Hi everyone,

I'm running Aspyr's Super Collection on MacOS Catalina (v. 10.15.7). When I use the corresponding Package Installer, I receive the same error message every time I try to use it: "There was an error during installation. The files you are trying to install may have been corrupted." I receive this message with any .package file, including from reputable files that I know aren't corrupted (e.g., plasticbox lots). I also receive this message when I try to export a file from in game, indicating that it's an issue with the program and not the files. I've submitted a help ticket to Aspyr almost a month ago, but no response.

Other solutions I have found so far have been dead ends: MacUnpac and WooHoo Installer won't open (they appear not to be compatible with the my OS?) and I don't have access to a PC to unlock and transfer files using CleanInstaller. I would prefer not to partition the hard drive or use an emulator. I also haven't seen much regarding this particular error message, so I'm hoping folks may have other ideas to try to resolve, rather than work around, this error.

Thanks in advance to anyone with a suggestion!


You don't use The Sims™ 2: Package Installer to install .package files, you only use it for .Sims2Pack files

Read Aspyr's guide to using The Sims™ 2: Package Installer.app and The Sims™ 2: Body Shop.app
https://support.aspyr.com/hc/en-us/...y-Shop-and-Mods

Make sure that you have the Latest The Sims™ 2: Package Installer and Body Shop from the latest The Sims™ 2 Extras.dmg that you download from Aspyr

Some .Sims2Pack files will not be Compatiable as they have content that is not supported by The Sims 2: Super Collection.

MacUnpac Needs Java. However even if you install Java, MacUnpac may be too old.

for info on changing the Mac Open File Limit check out my post here http://www.insimenator.org/index.ph...html#msg1628939
Curiosity killed the cat,
but satisfaction brought it back.
Mad Poster
#3 Old 25th Nov 2020 at 3:25 PM
You may have to open archive folders and take the files out, but apart from that nearly all ".package" files can be put directly into the Downloads folder (or preferably sorted into a system of folders to keep them organized). That's all the installing they need. A few need to be placed elsewhere, but will have spesific instructions on where to put them (they still don't need to be "installed" with a spesific program, just put somewhere different).

Only Sims2pack files need installing (when installed, sim templates and CC turn into ".package" files, while lot templates turn into "temp" files which will be installed into the LotCatalog the next time you run your game).
Test Subject
DELETED POST
Original Poster
26th Nov 2020 at 2:59 AM
This message has been deleted by marebear27.
Test Subject
Original Poster
#4 Old 26th Nov 2020 at 3:00 AM
Quote:
Originally Posted by simmer22
You may have to open archive folders and take the files out, but apart from that nearly all ".package" files can be put directly into the Downloads folder (or preferably sorted into a system of folders to keep them organized).


That was a typo! Meant sims2pack, not package. Edited original post for clarity.
Test Subject
Original Poster
#5 Old 26th Nov 2020 at 3:15 AM
Quote:
Originally Posted by lordtyger9
You don't use The Sims™ 2: Package Installer to install .package files, you only use it for .Sims2Pack files

Read Aspyr's guide to using The Sims™ 2: Package Installer.app and The Sims™ 2: Body Shop.app
https://support.aspyr.com/hc/en-us/...y-Shop-and-Mods

Make sure that you have the Latest The Sims™ 2: Package Installer and Body Shop from the latest The Sims™ 2 Extras.dmg that you download from Aspyr

Some .Sims2Pack files will not be Compatiable as they have content that is not supported by The Sims 2: Super Collection.

MacUnpac Needs Java. However even if you install Java, MacUnpac may be too old.


Yes, I mean sims2 package! That was a typo, edited original post for clarity.

Definitely using the most recent version, my most recent attempt to re-download was within the past week. Their instructions just say to double click on the file and the rest should happen by itself, which is where I'm getting the error. Maybe I will try uninstalling an reinstalling again.

The files I'm looking at are all BG only and I also can't export a lot from in-game, so I don't think it's an EP compatibility issue.

I think MacUnpac is just too old. When I try to launch it, there's just a greyed out circle with a line through it - I can't even click on it. But I will look into seeing if Java makes a difference!
Top Secret Researcher
#6 Old 27th Nov 2020 at 11:58 AM
Quote:
Originally Posted by marebear27
Yes, I mean sims2 package! That was a typo, edited original post for clarity.

Definitely using the most recent version, my most recent attempt to re-download was within the past week. Their instructions just say to double click on the file and the rest should happen by itself, which is where I'm getting the error. Maybe I will try uninstalling an reinstalling again.

The files I'm looking at are all BG only and I also can't export a lot from in-game, so I don't think it's an EP compatibility issue.

I think MacUnpac is just too old. When I try to launch it, there's just a greyed out circle with a line through it - I can't even click on it. But I will look into seeing if Java makes a difference!


What happens when you try to export a lot in game?

Have you checked Body Shop to see if it works?

@muridae have you checked out the most recent Package Installer for the Mac, does it give you problems?

Hmm, if you recently downloaded the .dmg file from Aspyr and Package Installer has the error with BG Lots, and you have checked several of them, I would check with Aspyr again and bug them. Maybe ask someone from Aspyr to check on one of the lots? Anyway, I would bug Aspyr.

MacUnpac Absolutely must have Java Runtime to even have a chance on working, you can't even try without Java Runtime, install Java and then you can check.



I can't help you much, as I don't have the latest Mac OS and I still use the 32 bit Sims 2 set up.

for info on changing the Mac Open File Limit check out my post here http://www.insimenator.org/index.ph...html#msg1628939
Curiosity killed the cat,
but satisfaction brought it back.
Field Researcher
#7 Old 28th Nov 2020 at 10:23 AM
@lordtyger9 - I can’t be of much help on this one, unfortunately. I don’t use the Aspyr Package Installer since I have a Windows VM that I spin up for SimPE edits and so use Clean Installer on that for any Sims2Pack installs.

I don’t think we know for certain whether Aspyr have released an updated 64-bit version of Sims 2 Extras to match the updated Super Collection (1.2.4). If they haven’t, that could be the cause of the “corrupted” file message, just as much as trying to unpack something with an EP/SP we don’t have.

@marebear27 - can you run System Information (it’s in the Utilities subfolder within Applications)? Click on Software -> Applications in the sidebar, then scroll through the list until you see Sims 2 Extras. Report back what it says in the version column - and if the 64-bit (Intel) column is still there at Catalina, whether that says yes or no.

I’m assuming that at Catalina it wouldn’t even start if it hasn’t been updated to 64-bit, but it’s probably worth double-checking anyway. I’m still on Mojave (because I don’t want to lose Castaway Stories until I absolutely have to), so I can’t test that.

Or it could just be a compatibility bug. The 64-bit version of SimCity 4 can no longer create or load .sc4 files that work with Sims 2 (or even the 32-bit version of SimCity 4) so nothing would surprise me.
Test Subject
DELETED POST
Original Poster
5th Dec 2020 at 11:31 PM
This message has been deleted by marebear27.
Test Subject
Original Poster
#8 Old 5th Dec 2020 at 11:36 PM
Thanks everyone for the guidance.

@lordtyger9 Yes, confusingly (to me) Body Shop does seem to work fine. When I try to export a lot from in-game, the error just reads "An error has occurred while packaging the lot to file." Unfortunately not much guidance there, but I have followed up with Aspyr. I'll keep bothering them because it's now been like 6 weeks since I submitted my ticket with no response. Womp womp.

@muridae The information listed in System Information reads:
Version: 1.2.4
Obtained from: Unknown
Last Modified: 11/11/19, 2:36 PM
Location: /Applications/Package Installer.app
Kind: 64-bit
Field Researcher
#9 Old 11th Dec 2020 at 9:14 PM
Quote:
Originally Posted by marebear27
@muridae The information listed in System Information reads:
Version: 1.2.4
Obtained from: Unknown
Last Modified: 11/11/19, 2:36 PM
Location: /Applications/Package Installer.app
Kind: 64-bit


So that definitely looks like you're running the right version. If only it could have been so simple as a mismatched app! Ah well.

Not sure what else to suggest, but when I get time I'll try to remember my Aspyr login and download the current version of Sims 2 Extras and put it on my machine to test. I'll also try to get around to packaging up a lot. I don't do that much, as at version 1.2.3 it had a nasty habit of deleting random files from my CC when I did that, but I suppose I ought to get around to finding out whether that's an error they've fixed at this version.

If I figure anything out I'll report back to this thread, even if it's in 6 months time. (It might very well be.)
Back to top